Bug 199278 - pppd needs to be compiled with callback cbcp enabled
Summary: pppd needs to be compiled with callback cbcp enabled
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ppp   
(Show other bugs)
Version: 5
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-18 16:43 UTC by Bob - Fedora
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-25 12:49:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bob - Fedora 2006-07-18 16:43:53 UTC
Description of problem:

  The pppd as compiled and distributed via the RPM does not have the callback 
(CBCP) functionality enabled.

How reproducible:

  Very.

Steps to Reproduce:

  pppd dryrun callback 0
  echo $?

Actual results:

  Error Message: pppd: unrecognized option 'callback'
  Return Code: 2

Expected results:

  No error message
  Return Code: 0

Additional info:

  Edit: pppd/Makefile
  Change or Add: CBCP=y

For the betterment of humanity, please make it so.

Comment 1 Thomas Woerner 2006-07-25 12:49:41 UTC
Fixed in rawhide in package ppp-2.4.4-1 or newer.


Note You need to log in before you can comment on or make changes to this bug.